net.snowflake.client.jdbc

## Enum OCSPErrorCode

- java.lang.Object
- - java.lang.Enum<OCSPErrorCode>
  - - net.snowflake.client.jdbc.OCSPErrorCode

All Implemented Interfaces:
  Serializable, Comparable<OCSPErrorCode>

    public enum OCSPErrorCode
    extends Enum<OCSPErrorCode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CERTIFICATE_STATUS_GOOD`
`CERTIFICATE_STATUS_REVOKED`
`CERTIFICATE_STATUS_UNKNOWN`
`EXPIRED_OCSP_SIGNING_CERTIFICATE`
`INVALID_CACHE_SERVER_URL`
`INVALID_CERTIFICATE_SIGNATURE`
`INVALID_OCSP_RESPONSE_SIGNATURE`
`INVALID_OCSP_RESPONSE_VALIDITY`
`INVALID_SSD`
`OCSP_CACHE_DOWNLOAD_TIMEOUT`
`OCSP_RESPONSE_FETCH_FAILRE`
`OCSP_RESPONSE_FETCH_TIMEOUT`
`REVOCATION_CHECK_FAILURE`

### Method Summary

All Methods Static Methods Concrete Methods
`static OCSPErrorCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OCSPErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CERTIFICATE_STATUS_GOOD

    public static final OCSPErrorCode CERTIFICATE_STATUS_GOOD

#### CERTIFICATE_STATUS_REVOKED

    public static final OCSPErrorCode CERTIFICATE_STATUS_REVOKED

#### CERTIFICATE_STATUS_UNKNOWN

    public static final OCSPErrorCode CERTIFICATE_STATUS_UNKNOWN

#### OCSP_CACHE_DOWNLOAD_TIMEOUT

    public static final OCSPErrorCode OCSP_CACHE_DOWNLOAD_TIMEOUT

#### OCSP_RESPONSE_FETCH_TIMEOUT

    public static final OCSPErrorCode OCSP_RESPONSE_FETCH_TIMEOUT

#### OCSP_RESPONSE_FETCH_FAILRE

    public static final OCSPErrorCode OCSP_RESPONSE_FETCH_FAILRE

#### INVALID_CACHE_SERVER_URL

    public static final OCSPErrorCode INVALID_CACHE_SERVER_URL

#### EXPIRED_OCSP_SIGNING_CERTIFICATE

    public static final OCSPErrorCode EXPIRED_OCSP_SIGNING_CERTIFICATE

#### INVALID_CERTIFICATE_SIGNATURE

    public static final OCSPErrorCode INVALID_CERTIFICATE_SIGNATURE

#### INVALID_OCSP_RESPONSE_SIGNATURE

    public static final OCSPErrorCode INVALID_OCSP_RESPONSE_SIGNATURE

#### INVALID_OCSP_RESPONSE_VALIDITY

    public static final OCSPErrorCode INVALID_OCSP_RESPONSE_VALIDITY

#### REVOCATION_CHECK_FAILURE

    public static final OCSPErrorCode REVOCATION_CHECK_FAILURE

#### INVALID_SSD

    public static final OCSPErrorCode INVALID_SSD

### Method Detail

#### values

    public static OCSPErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OCSPErrorCode c : OCSPErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OCSPErrorCode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null